Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.blocks.arrangeBlock
Class ParetoProbability

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.blocks.arrangeBlock.ShareableProbabilityArrangeBase
              de.grogra.blocks.arrangeBlock.ParetoProbability

All Implemented Interfaces:
  ProbabilityArrangeMethod, Manageable, Shareable

    public class ParetoProbability

extends ShareableProbabilityArrangeBase
implements ProbabilityArrangeMethod

Nested Class Summary
`static class` | `ParetoProbability.Type`

Field Summary
`static ParetoProbability.Type` | `$TYPE`
`static SCOType.Field` | `scale$FIELD`
`static SCOType.Field` | `shape$FIELD`

Fields inherited from class de.grogra.blocks.arrangeBlock.ShareableProbabilityArrangeBase
`probabilityValues, source`

Constructor Summary
`ParetoProbability()`

Method Summary
`void` | `calculate()`
`ManageableType` | `getManageableType()`
`float` | `getScale()`
`float` | `getShape()`
`void` | `setScale(float value)`
`void` | `setShape(float value)`

Methods inherited from class de.grogra.blocks.arrangeBlock.ShareableProbabilityArrangeBase
`getProbabilityValues`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.blocks.arrangeBlock.ProbabilityArrangeMethod
`getProbabilityValues`

Field Detail

### $TYPE

    public static final ParetoProbability.Type $TYPE

### scale$FIELD

    public static final SCOType.Field scale$FIELD

### shape$FIELD

    public static final SCOType.Field shape$FIELD

Constructor Detail

### ParetoProbability

    public ParetoProbability()

Method Detail

### calculate

    public void calculate()

  Specified by:
    `calculate` in class `ShareableProbabilityArrangeBase`

### getManageableType

    public ManageableType getManageableType()

  Specified by:
    `getManageableType` in interface `Manageable`

### getScale

    public float getScale()

### getShape

    public float getShape()

### setScale

    public void setScale(float value)

### setShape

    public void setShape(float value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD